%define upstream_name    Math-Decimal64
%define upstream_version 0.17

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Perl interface to C's _Decimal64 operations
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
ExcludeArch: %{arm} aarch64

%description
   Math::Decimal64 supports up to 16 decimal digits of significand
   (mantissa) and an exponent range of -383 to +384.
   The smallest expressible value is -9.999999999999999e384 (which
   is also equivalent to -9999999999999999e369).
   The largest expressible value is 9.999999999999999e384 (which
   also equivalent to 9999999999999999e369).
   The closest we can get to zero is (plus or minus) 1e-384
   (which is also equivalent to 1000000000000000e-399).

   This module allows decimal floating point arithmetic via
   operator overloading - see "OVERLOADING".

   In the documentation that follows, "$mantissa" is a perl scalar
   holding a string of up to 16 decimal digits, optionally prefixed
   with a '+' or '-' sign:
    $mantissa = '1234';
    $mantissa = '1234567890123456';

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CHANGES META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorarch/*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 0.170.0-6.mga10
+ Revision: 2225923
- Mageia 10 Mass Rebuild

* Thu Aug 22 2024 neoclust <neoclust> 0.170.0-5.mga10
+ Revision: 2088106
- Rebuild against new perl

* Tue Nov 28 2023 tv <tv> 0.170.0-4.mga10
+ Revision: 2010474
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 0.170.0-3.mga9
+ Revision: 1862073
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.170.0-2.mga9
+ Revision: 1796895
- Mageia 9 Mass Rebuild

* Sat Feb 12 2022 tv <tv> 0.170.0-1.mga9
+ Revision: 1773190
- update to 0.17

* Mon May 24 2021 umeabot <umeabot> 0.160.0-8.mga9
+ Revision: 1726863
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.160.0-7.mga8
+ Revision: 1594912
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.160.0-6.mga8
+ Revision: 1529705
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 0.160.0-5.mga8
+ Revision: 1433825
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.160.0-4.mga7
+ Revision: 1293425
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.160.0-3.mga7
+ Revision: 1249524
- Rebuild for perl 5.28

* Mon Jun 25 2018 wally <wally> 0.160.0-2.mga7
+ Revision: 1239662
- skip build on arm and aarch64

* Tue Mar 20 2018 shlomif <shlomif> 0.160.0-1.mga7
+ Revision: 1210657
- imported package perl-Math-Decimal64


* Tue Mar 20 2018 cpan2dist 0.16-1mga
- initial mageia release, generated with cpan2dist
